com.intellectualcrafters.plot.commands

## Class CommandPermission

- java.lang.Object
- - com.intellectualcrafters.plot.commands.CommandPermission

-     public class CommandPermission
      extends java.lang.Object

  Created by Citymonstret on 2014-08-03.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `permission`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandPermission(java.lang.String permission)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasPermission(org.bukkit.entity.Player player)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### permission

          public java.lang.String permission

  - ### Constructor Detail

    - #### CommandPermission

          public CommandPermission(java.lang.String permission)

      Parameters:
        `permission` - Command Permission

  - ### Method Detail

    - #### hasPermission

          public boolean hasPermission(org.bukkit.entity.Player player)

      Parameters:
        `player` - Does the player have the permission?
      Returns:
        true of player has the required permission node